"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _button = require("../../../../node_modules/lib-ibos/lib/antd/button");

var _button2 = _interopRequireDefault(_button);

var _objectWithoutProperties2 = require("babel-runtime/helpers/objectWithoutProperties");

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _typeof2 = require("babel-runtime/helpers/typeof");

var _typeof3 = _interopRequireDefault(_typeof2);

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require("babel-runtime/helpers/possibleConstructorReturn");

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require("babel-runtime/helpers/inherits");

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Button = function (_Component) {
    (0, _inherits3.default)(Button, _Component);

    function Button(props) {
        (0, _classCallCheck3.default)(this, Button);

        var _this = (0, _possibleConstructorReturn3.default)(this, _Component.call(this, props));

        _this.onShow = function (children, displayName) {
            if ((typeof children === "undefined" ? "undefined" : (0, _typeof3.default)(children)) === "object") {
                return _react2.default.createElement(
                    "span",
                    null,
                    children,
                    displayName
                );
            } else {
                return displayName || children;
            }
        };

        return _this;
    }

    Button.prototype.render = function render() {
        var _props = this.props,
            children = _props.children,
            displayName = _props.displayName,
            otherProps = (0, _objectWithoutProperties3.default)(_props, ["children", "displayName"]);

        return _react2.default.createElement(
            _button2.default,
            otherProps,
            this.onShow(children, displayName)
        );
    };

    return Button;
}(_react.Component);

exports.default = Button;
module.exports = exports["default"];